/*
 *	Plurals : MP_Lisp
 *
 *	Author:	S.C.Merrall
 *
 *	File:	mp_arith.m
 *
 *	Contents:	
 *
 *	Description:	   Constants identifying arithmetic operations.
 *                	Included by mp_eubang.h so the front end knows
 *			what they are too.
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    31:05:91 SCM  Created
 *
 */

#define MP_PLUS		610
#define MP_DIFFERENCE	611
#define MP_DIVIDE	612
#define MP_TIMES	613
#define MP_REMAINDER	614

#define MP_UN_OP_IDS    620
#define MP_NEGATE       620
#define MP_ABS		621
#define MP_COS		622

#define MP_LT		650
#define MP_GT		651
#define MP_LE		652
#define MP_GE		653
#define MP_E		655

/* Operators for scana and reduce */

#define MP_MAX		660
#define MP_MIN		661

/* Hack operators for cb's Neural networks */

#define MP_DELTA	670
#define MP_SIGMA	671

/* Direction Identifiers */
/* ========= =========== */

#define MP_NORTH 0
#define MP_SOUTH 1
#define MP_WEST  2
#define MP_EAST  3
