/*
 *	Processor/Memory Management
 *
 *	Author:	S.C.Merrall
 *
 *	File:	mp_pmem_mgmt.h
 *
 *	Contents:	
 *
 *	Description:	
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    26:05:92 SCM  Created
 *    14:02:91 SCM  Coded in terms of mp_objects via MP_Handles
 *    18:02:91 SCM  Proper naming convention
 *
 */


/*  Memory/Processor Management Parameters */
/*  ================ ========== ========== */

extern plural natural memory[];		/* memory visible everywhere */

extern natural handle_space;		/* need both so that we can tell */
extern plural natural heap_space;  	/* either are exhausted		 */

/*  Macros */
/*  ====== */



/*  Functions */
/*  ========= */


#ifdef __STDC__

int find_slice( int type, int size, int start );

#else

int find_slice();

#Endif


