/*
 *	Plurals
 *
 *	Author:		S.C.Merrall
 *
 *	File:		mp_utils.h
 *
 *	Contents:	sp_memcpy
 *			pp_memswp
 *
 *	Description:	   Functions that I feel should be in th mpl library
 *			but aren't.
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    22:02:91 SCM  Created
 *    06:06:91 SCM  Added pp_memswp
 */

#ifdef __STDC__

extern plural char *sp_memcpy( plural char *plural, char *, int );
extern int          pp_memswp( plural char *plural, plural int, 
			       plural char *plural, plural int );

#else

plural char *sp_memcpy();
plural int   pp_memswp();

#endif
